/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: Document.java,v 1.1 2005/05/31 14:38:20 rampil Exp $
 */
package org.logical_paradox.koike.core.document;

import java.io.Serializable;

/**
 * 文書情報オブジェクト
 * ドキュメントの他の情報もセットで格納する
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class Document {
	/** ドキュメント */
	private String document;
	/** その他情報 */
	private Serializable attribute;

	/**
	 * コンストラクタ
	 */
	public Document() {
	}

	/**
	 * ドキュメントを返す
	 * @return ドキュメント
	 */
	public String getDocument() {
		return document;
	}

	/**
	 * ドキュメントを設定する
	 * @param string ドキュメント
	 */
	public void setDocument(String string) {
		document = string;
	}

	/**
	 * その他情報を返す
	 * @return その他情報
	 */
	public Serializable getAttribute() {
		return attribute;
	}

	/**
	 * その他情報を設定する
	 * @param serializable その他情報
	 */
	public void setAttribute(Serializable serializable) {
		attribute = serializable;
	}

}
